summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/python-r1.eclass4
2 files changed, 7 insertions, 3 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index e54e68196878..b6715d4e0670 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.489 2012/10/31 01:51:52 tetromino Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.490 2012/10/31 14:18:41 mgorny Exp $
+
+ 31 Oct 2012; Michał Górny <mgorny@gentoo.org> python-r1.eclass:
+ Fix the shebang correcting function to patch shebang only. Thanks to Enlik
+ for the patch.
31 Oct 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
gst-plugins10.eclass:
diff --git a/eclass/python-r1.eclass b/eclass/python-r1.eclass
index 351d2e33db98..0fc6ecc345fc 100644
--- a/eclass/python-r1.eclass
+++ b/eclass/python-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-r1.eclass,v 1.13 2012/10/29 11:27:30 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-r1.eclass,v 1.14 2012/10/31 14:18:41 mgorny Exp $
# @ECLASS: python-r1
# @MAINTAINER:
@@ -466,7 +466,7 @@ _python_rewrite_shebang() {
die "${FUNCNAME}: ${f} does not seem to have a valid shebang"
fi
- sed -i -e "s:python:${impl}:" "${f}" || die
+ sed -i -e "1s:python:${impl}:" "${f}" || die
done
}